# Demo Directory

## Overview

- Each demo has an `index.yml`.
- Running `python demo/docs.py` generates all `demo/docs/*.md` from `index.yml`.
- Do not create `demo/docs/*.md`. They are `.gitignore`d.
- Sample data is synthetically generated by `test/setup.py`.

## Usage

Launch demos:
```
uv run demo/launcher.py --mode simple # simple | advanced | federation | editor | layout
```

## 1. Simple Demo

Every widget. Full-fat.

@simple/README.md

## 2. Advanced Demo

Widget features and modes.

@advanced/README.md

## 3. Federation Demo

Monitor multiple nodes with a single dashboard.

@federation/README.md

## 4. Editor Demo

In app editor (beta).

@editor/README.md

## 5. Layout Demo

Columns, positioning, sizing, and tiling.

@layout/README.md
